package com.yijia.station.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 班结管理对象 station_class_structure
 * 
 * @author yijia
 * @date 2020-12-24
 */
public class StationClassStructure extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 加油枪号 */
    @Excel(name = "加油枪号")
    private String oilGun;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 用户（app_user_info  id消费者id） */
    @Excel(name = "用户", readConverterExp = "a=pp_user_info,i=d消费者id")
    private Long consumerId;

    /** 消费者 */
    @Excel(name = "消费者")
    private String consumer;

    /** 金额 */
    @Excel(name = "金额")
    private String amt;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 加油升数· */
    @Excel(name = "加油升数·")
    private String orderLiters;

    /** 支付类型 sxf */
    @Excel(name = "支付类型 sxf")
    private String payType;

    /** 支付方式：02公众号 03小程序 */
    @Excel(name = "支付方式：02公众号 03小程序")
    private String payWay;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payDate;

    /** 加油员人名 */
    @Excel(name = "加油员人名")
    private String oilPersonnel;

    /** 订单类型订单类型（1.柴油，2.汽油，积分：3.现金+积分4.现金，5.积分） */
    @Excel(name = "订单类型订单类型", readConverterExp = "1=.柴油，2.汽油，积分：3.现金+积分4.现金，5.积分")
    private String orderType;

    /** 油品类型（柴油，汽油） */
    @Excel(name = "油品类型", readConverterExp = "柴=油，汽油")
    private String oilType;

    /** 打印小票数（含重复） */
    @Excel(name = "打印小票数", readConverterExp = "含=重复")
    private Long printNum;

    /** 班次号 */
    @Excel(name = "班次号")
    private String classStructureNo;

    /** 班结时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "班结时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date classStructureDate;

    /** 班结人 */
    @Excel(name = "班结人")
    private String classStructureMan;

    /** 油品 */
    @Excel(name = "油品")
    private String oils;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setOrderNo(String orderNo) 
    {
        this.orderNo = orderNo;
    }

    public String getOrderNo() 
    {
        return orderNo;
    }
    public void setOilGun(String oilGun) 
    {
        this.oilGun = oilGun;
    }

    public String getOilGun() 
    {
        return oilGun;
    }
    public void setOilName(String oilName) 
    {
        this.oilName = oilName;
    }

    public String getOilName() 
    {
        return oilName;
    }
    public void setConsumerId(Long consumerId) 
    {
        this.consumerId = consumerId;
    }

    public Long getConsumerId() 
    {
        return consumerId;
    }
    public void setConsumer(String consumer) 
    {
        this.consumer = consumer;
    }

    public String getConsumer() 
    {
        return consumer;
    }
    public void setAmt(String amt) 
    {
        this.amt = amt;
    }

    public String getAmt() 
    {
        return amt;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setOrderLiters(String orderLiters) 
    {
        this.orderLiters = orderLiters;
    }

    public String getOrderLiters() 
    {
        return orderLiters;
    }
    public void setPayType(String payType) 
    {
        this.payType = payType;
    }

    public String getPayType() 
    {
        return payType;
    }
    public void setPayWay(String payWay) 
    {
        this.payWay = payWay;
    }

    public String getPayWay() 
    {
        return payWay;
    }
    public void setPayDate(Date payDate) 
    {
        this.payDate = payDate;
    }

    public Date getPayDate() 
    {
        return payDate;
    }
    public void setOilPersonnel(String oilPersonnel) 
    {
        this.oilPersonnel = oilPersonnel;
    }

    public String getOilPersonnel() 
    {
        return oilPersonnel;
    }
    public void setOrderType(String orderType) 
    {
        this.orderType = orderType;
    }

    public String getOrderType() 
    {
        return orderType;
    }
    public void setOilType(String oilType) 
    {
        this.oilType = oilType;
    }

    public String getOilType() 
    {
        return oilType;
    }
    public void setPrintNum(Long printNum) 
    {
        this.printNum = printNum;
    }

    public Long getPrintNum() 
    {
        return printNum;
    }
    public void setClassStructureNo(String classStructureNo) 
    {
        this.classStructureNo = classStructureNo;
    }

    public String getClassStructureNo() 
    {
        return classStructureNo;
    }
    public void setClassStructureDate(Date classStructureDate) 
    {
        this.classStructureDate = classStructureDate;
    }

    public Date getClassStructureDate() 
    {
        return classStructureDate;
    }
    public void setClassStructureMan(String classStructureMan) 
    {
        this.classStructureMan = classStructureMan;
    }

    public String getClassStructureMan() 
    {
        return classStructureMan;
    }
    public void setOils(String oils) 
    {
        this.oils = oils;
    }

    public String getOils() 
    {
        return oils;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stationId", getStationId())
            .append("orderNo", getOrderNo())
            .append("oilGun", getOilGun())
            .append("oilName", getOilName())
            .append("consumerId", getConsumerId())
            .append("consumer", getConsumer())
            .append("amt", getAmt())
            .append("stationName", getStationName())
            .append("orderLiters", getOrderLiters())
            .append("payType", getPayType())
            .append("payWay", getPayWay())
            .append("payDate", getPayDate())
            .append("oilPersonnel", getOilPersonnel())
            .append("orderType", getOrderType())
            .append("oilType", getOilType())
            .append("printNum", getPrintNum())
            .append("classStructureNo", getClassStructureNo())
            .append("classStructureDate", getClassStructureDate())
            .append("classStructureMan", getClassStructureMan())
            .append("oils", getOils())
            .toString();
    }
}
